/// <reference types="@types/codemirror" />
import * as lsProtocol from 'vscode-languageserver-protocol';
import { IRootPosition } from '../../../positioning';
import CodeMirror = require('codemirror');
import { CodeMirrorLSPFeature } from '../feature';
export declare class Signature extends CodeMirrorLSPFeature {
    protected signature_character: IRootPosition;
    protected _signatureCharacters: string[];
    register(): void;
    protected get_markup_for_signature_help(response: lsProtocol.SignatureHelp, language: string): lsProtocol.MarkupContent;
    /**
     * A temporary workaround for the LSP servers returning plain text (e.g. docstrings)
     * (providing not-the-best UX) instead of markdown and me being unable to force
     * them to return markdown instead.
     */
    private markdown_from_signature;
    private handleSignature;
    readonly signatureCharacters: string[];
    afterChange(change: CodeMirror.EditorChange, root_position: IRootPosition): void;
}
