/// <reference types="react" />
import { VDomRenderer, VDomModel } from '@jupyterlab/apputils';
import { JupyterLabWidgetAdapter } from '../jl_adapter';
/**
 * StatusBar item.
 */
export declare class LSPStatus extends VDomRenderer<LSPStatus.Model> {
    /**
     * Construct a new VDomRenderer for the status item.
     */
    constructor();
    /**
     * Render the status item.
     */
    render(): JSX.Element;
    handleClick(): void;
}
export declare namespace LSPStatus {
    /**
     * A VDomModel for the LSP of current file editor/notebook.
     */
    class Model extends VDomModel {
        readonly message: string;
        readonly status: string;
        adapter: JupyterLabWidgetAdapter | null;
        private _onChange;
        private _message;
        private _adapter;
    }
}
