import { JupyterLabWidgetAdapter } from './jl_adapter';
import { FileEditor } from '@jupyterlab/fileeditor';
import { IDocumentWidget } from '@jupyterlab/docregistry';
import { FileEditorJumper } from '@krassowski/jupyterlab_go_to_definition/lib/jumpers/fileeditor';
import { CodeMirror } from '../codemirror/cm_adapter';
import { JupyterFrontEnd } from '@jupyterlab/application';
import { IRenderMimeRegistry } from '@jupyterlab/rendermime';
import { CodeMirrorEditor } from '@jupyterlab/codemirror';
import { ICompletionManager } from '@jupyterlab/completer';
import { LSPConnector } from './components/completion';
import { CodeEditor } from '@jupyterlab/codeeditor';
import { VirtualFileEditor } from '../../virtual/editors/file_editor';
export declare class FileEditorAdapter extends JupyterLabWidgetAdapter {
    protected completion_manager: ICompletionManager;
    editor: FileEditor;
    jumper: FileEditorJumper;
    virtual_editor: VirtualFileEditor;
    protected current_completion_connector: LSPConnector;
    readonly document_path: string;
    readonly mime_type: string;
    readonly language_file_extension: string;
    readonly ce_editor: CodeMirrorEditor;
    readonly cm_editor: CodeMirror.Editor;
    find_ce_editor(cm_editor: CodeMirror.Editor): CodeEditor.IEditor;
    constructor(editor_widget: IDocumentWidget<FileEditor>, jumper: FileEditorJumper, app: JupyterFrontEnd, completion_manager: ICompletionManager, rendermime_registry: IRenderMimeRegistry, server_root: string);
    connect_completion(): void;
    readonly path: string;
}
