import * as lsProtocol from 'vscode-languageserver-protocol';
import { ILspOptions, IPosition, ITokenInfo } from 'lsp-editor-adapter';
import { CompletionTriggerKind } from './lsp';
import { LspWsConnectionReimplemented } from './connection-base';
interface ILSPOptions extends ILspOptions {
}
export declare class LSPConnection extends LspWsConnectionReimplemented {
    constructor(options: ILSPOptions);
    sendSelectiveChange(changeEvent: lsProtocol.TextDocumentContentChangeEvent): void;
    sendFullTextChange(text: string): void;
    isRenameSupported(): boolean;
    rename(location: IPosition, newName: string): void;
    connect(socket: WebSocket): this;
    private closing_manually;
    close(): void;
    private _sendChange;
    getCompletion(location: IPosition, token: ITokenInfo, triggerCharacter: string, triggerKind: CompletionTriggerKind): Promise<lsProtocol.CompletionItem[]>;
}
export {};
